Subject: Re: What's in git.git and announcing GIT v1.5.0-rc1

From: Steven Grimm <[email-masked]>
Date: Fri, 12 Jan 2007 10:39:50 -0800

Andy Parkins wrote:
> For me, I'd prefer that they worked in subdirectories.  I do all almost all 
> development in "src/" and having to change up a directory just to run git 
> commands is inconvenient.
>   

I agree; I find that inconvenient too. The only catch I can see is that 
there might be an expectation that if you run, say, "git-pull" in the 
src directory, it will only update the files in src and will leave the 
ones in the other top-level directories alone. For example, "svn update" 
works that way.

But honestly I think touching files outside the current subdirectory is 
much less of an inconvenience (and it's something you only get surprised 
by once, if at all) than not working in subdirectories at all.

-Steve